
import org.glassfish.grizzly.http.server.HttpServer;
import org.glassfish.jersey.grizzly2.httpserver.GrizzlyHttpServerFactory;
import org.glassfish.jersey.server.ResourceConfig;
import si.mojeznanje.model.Lokacija;
import si.mojeznanje.model.OgradaSet;
import si.mojeznanje.service.ZapisovalecHibernate;
import si.mojeznanje.service.ip.IpApiJersey;
import si.mojeznanje.service.rest.OgradaService;
import si.mojeznanje.service.rest.TestService;
import si.mojeznanje.service.rest.ZivaliService;
import si.mojeznanje.util.HibernateUtil;
import si.mojeznanje.view.VnosPodatkov;

import javax.ws.rs.core.UriBuilder;
import java.net.URI;
import java.net.URL;
import java.util.HashMap;
//https://we.tl/HjmJrVf3Ck
// baza : https://we.tl/flVySRtkut
public class Main {

    private static HttpServer httpServer = null;

    public static void main(String[] args) {

        httpServer = startServer();

        Runtime.getRuntime().addShutdownHook(new Thread(
                new Runnable() {
                    @Override
                    public void run() {
                        httpServer.shutdown();
                        HibernateUtil.shutdown();
                        System.exit(0);
                    }
                }
        ));
    }

    private static URI getBaseURI(){
        return UriBuilder.fromUri("http://0.0.0.0/").port(8080).build();
    }

    public static HttpServer startServer(){

        HttpServer httpServer = null;
        ResourceConfig resourceConfig = new ResourceConfig();
        resourceConfig.registerClasses(TestService.class,
                ZivaliService.class,
                OgradaService.class);

        try {
            httpServer = GrizzlyHttpServerFactory.createHttpServer(getBaseURI(), resourceConfig,true);
        }
        catch (Exception e){
            System.out.println("Napaka pri kreaciji strznika");
        }

        return httpServer;
    }

    public static void rocniVnos(){

        OgradaSet ograda = null;
        VnosPodatkov vnosPodatkov = new VnosPodatkov();

        ZapisovalecHibernate hibernate = new ZapisovalecHibernate();

        ograda = hibernate.preberi(OgradaSet.class, 2);

        ograda.dodajZivali(vnosPodatkov.dodajVecZivali());
        ograda.izipisiVseZivali();

        if(ograda.getLokacija() == null){

            Lokacija lokacija = IpApiJersey.mojaLokacija();
            lokacija.setOgradaId(ograda.getId());
            ograda.setLokacija(lokacija);
        }


        hibernate.shrani(ograda);
    }
}
