-- --------------------------------------------------------
-- Strežnik:                     127.0.0.1
-- Verzija strežnika:            10.1.29-MariaDB - mariadb.org binary distribution
-- Operacijski sistem strežnika: Win32
-- HeidiSQL Različica:           9.5.0.5196
-- --------------------------------------------------------

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET NAMES utf8 */;
/*!50503 SET NAMES utf8mb4 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;


-- Dumping database structure for zivalski_vrt
CREATE DATABASE IF NOT EXISTS `zivalski_vrt` /*!40100 DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_bin */;
USE `zivalski_vrt`;

-- Dumping structure for tabela zivalski_vrt.lokacija
CREATE TABLE IF NOT EXISTS `lokacija` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `city` varchar(50) COLLATE utf8mb4_bin NOT NULL DEFAULT '0',
  `country` varchar(50) COLLATE utf8mb4_bin NOT NULL DEFAULT '0',
  `lat` float NOT NULL DEFAULT '0',
  `lon` float NOT NULL DEFAULT '0',
  `zip` varchar(50) COLLATE utf8mb4_bin NOT NULL DEFAULT '0',
  `timezone` varchar(50) COLLATE utf8mb4_bin NOT NULL DEFAULT '0',
  `ograda_id` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ograda_id` (`ograda_id`),
  CONSTRAINT `ograda_fk` FOREIGN KEY (`ograda_id`) REFERENCES `ograda` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;

-- Dumping data for table zivalski_vrt.lokacija: ~0 rows (približno)
/*!40000 ALTER TABLE `lokacija` DISABLE KEYS */;
REPLACE INTO `lokacija` (`id`, `city`, `country`, `lat`, `lon`, `zip`, `timezone`, `ograda_id`) VALUES
	(1, 'Ljubljana', 'Slovenia', 46.0364, 14.4896, '', 'Europe/Ljubljana', NULL);
/*!40000 ALTER TABLE `lokacija` ENABLE KEYS */;

-- Dumping structure for tabela zivalski_vrt.macka
CREATE TABLE IF NOT EXISTS `macka` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `ime` varchar(50) COLLATE utf8mb4_bin NOT NULL DEFAULT '0',
  `starost` int(11) NOT NULL DEFAULT '0',
  `spol` tinyint(4) NOT NULL DEFAULT '0',
  `ograda_id` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ograda_id` (`ograda_id`),
  CONSTRAINT `ograda_macka_fk` FOREIGN KEY (`ograda_id`) REFERENCES `ograda` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;

-- Dumping data for table zivalski_vrt.macka: ~7 rows (približno)
/*!40000 ALTER TABLE `macka` DISABLE KEYS */;
REPLACE INTO `macka` (`id`, `ime`, `starost`, `spol`, `ograda_id`) VALUES
	(1, 'Pika', 3, 1, NULL),
	(2, 'Piki', 44, 1, NULL),
	(3, 'Pika', 3, 1, 2),
	(4, 'Piki', 44, 1, 2),
	(5, 'Pika', 3, 1, 3),
	(6, 'Piki', 44, 1, 3),
	(7, 'Nova macka', 4, 1, 2);
/*!40000 ALTER TABLE `macka` ENABLE KEYS */;

-- Dumping structure for tabela zivalski_vrt.ograda
CREATE TABLE IF NOT EXISTS `ograda` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `ime` varchar(50) COLLATE utf8mb4_bin NOT NULL DEFAULT '0',
  KEY `id` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;

-- Dumping data for table zivalski_vrt.ograda: ~2 rows (približno)
/*!40000 ALTER TABLE `ograda` DISABLE KEYS */;
REPLACE INTO `ograda` (`id`, `ime`) VALUES
	(2, 'ograda'),
	(3, 'ograda');
/*!40000 ALTER TABLE `ograda` ENABLE KEYS */;

-- Dumping structure for tabela zivalski_vrt.pes
CREATE TABLE IF NOT EXISTS `pes` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `ime` varchar(50) COLLATE utf8mb4_bin NOT NULL DEFAULT '0',
  `starost` int(11) NOT NULL DEFAULT '0',
  `spol` tinyint(4) NOT NULL DEFAULT '0',
  `ograda_id` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ograda_id` (`ograda_id`),
  CONSTRAINT `ograda_pes_fk` FOREIGN KEY (`ograda_id`) REFERENCES `ograda` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;

-- Dumping data for table zivalski_vrt.pes: ~8 rows (približno)
/*!40000 ALTER TABLE `pes` DISABLE KEYS */;
REPLACE INTO `pes` (`id`, `ime`, `starost`, `spol`, `ograda_id`) VALUES
	(1, 'marko', 33, 0, NULL),
	(2, 'Rex', 2, 0, NULL),
	(3, 'marko', 33, 0, 2),
	(4, 'Rex', 2, 0, 2),
	(5, 'Miki', 33, 0, 2),
	(6, 'Miki', 3, 0, 3),
	(7, 'marko', 33, 0, 3),
	(8, 'Rex', 2, 0, 3);
/*!40000 ALTER TABLE `pes` ENABLE KEYS */;

-- Dumping structure for tabela zivalski_vrt.riba
CREATE TABLE IF NOT EXISTS `riba` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `ime` varchar(50) COLLATE utf8mb4_bin NOT NULL DEFAULT '0',
  `starost` int(11) NOT NULL DEFAULT '0',
  `spol` tinyint(4) NOT NULL DEFAULT '0',
  `ograda_id` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ograda_id` (`ograda_id`),
  CONSTRAINT `ograda_riba_fk` FOREIGN KEY (`ograda_id`) REFERENCES `ograda` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;

-- Dumping data for table zivalski_vrt.riba: ~0 rows (približno)
/*!40000 ALTER TABLE `riba` DISABLE KEYS */;
/*!40000 ALTER TABLE `riba` ENABLE KEYS */;

-- Dumping structure for tabela zivalski_vrt.zival
CREATE TABLE IF NOT EXISTS `zival` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `ime` varchar(50) COLLATE utf8mb4_bin DEFAULT 'brez_imena',
  `starost` int(11) NOT NULL DEFAULT '0',
  `spol` tinyint(4) NOT NULL DEFAULT '0',
  `tip` varchar(10) COLLATE utf8mb4_bin NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;

-- Dumping data for table zivalski_vrt.zival: ~4 rows (približno)
/*!40000 ALTER TABLE `zival` DISABLE KEYS */;
REPLACE INTO `zival` (`id`, `ime`, `starost`, `spol`, `tip`) VALUES
	(6, 'marko', 33, 0, 'pes'),
	(7, 'Pika', 3, 1, 'macka'),
	(8, 'Rex', 2, 0, 'pes'),
	(9, 'Piki', 44, 1, 'macka');
/*!40000 ALTER TABLE `zival` ENABLE KEYS */;

/*!40101 SET SQL_MODE=IFNULL(@OLD_SQL_MODE, '') */;
/*!40014 SET FOREIGN_KEY_CHECKS=IF(@OLD_FOREIGN_KEY_CHECKS IS NULL, 1, @OLD_FOREIGN_KEY_CHECKS) */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
